前几天逛Hexo官网的时候,突然发现它居然发布6.0了!天呐!它终于更新了!!而且还支持Node.js 12以上版本了,泪流满面,有时候想用Node高版本却发现Hexo还没有兼容高版本,真是忧伤,这下子终于熬到它发布6.0了!
Hexo 6.0.0发布新闻:Hexo 6.0.0 Released

老样子,升级前需要提前备份!以免造成错误哦~
设置好Node环境变量后,在博客package.json文件修改对应版本号。

~blog\package.json
1
2
3
"dependencies": {
"hexo": "^6.0.0",
},

然后输入npm update更新
再全局输入npm i hexo -g更新到6.0.0

检查依赖库更新:npm-check
更新全局包:npm update <name> -g
更新生产环境依赖包:npm update <name> --save
更新全部库:npm-check -u

经测试我安装的Node.js最新版16.13.1可以使用,没有出现问题,终于更新完毕啦!撒花★,°:.☆( ̄▽ ̄)/$:.°★
主题也没啥变化,依然可用,主题butterfly目前最新版本是3.8.4
大概就这些了~